GETCWD(3)

NAME
getcwd - return absolute path to current directory

SYNOPSIS
    #include <ast.h>
    char* getcwd(char* buf, size_t len);

DESCRIPTION
copies the absolute path name of the current directory info into buf of length len. The return path may be longer than If buff == 0 then space is allocated via malloc(3) and len extra characters are reserved after the generated path name. A pointer to the path name is returned, on error.

SEE ALSO
pathcd(3)